Source: lalpulsar
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  gcc,
  g++,
  make,
  pkg-config (>= 0.18.0),
  lal-dev (>= @MIN_LAL_VERSION@~),
  libcfitsio3-dev | libcfitsio-dev,
  libfftw3-dev,
  libgsl-dev | libgsl0-dev (>= 1.9),
  liboctave-dev,
  swig (>= 3.0.9) | swig3.0 (>= 3.0.9),
  python-all-dev,
  python-astropy,
  python-lal (>= @MIN_LAL_VERSION@~),
  python-mock,
  python-numpy,
  python-pathlib,
  python-pytest,
  python3-all-dev,
  python3-astropy,
  python3-lal (>= @MIN_LAL_VERSION@~),
  python3-numpy,
  python3-pytest,
  lal-octave (>= @MIN_LAL_VERSION@~),
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8

Package: lalpulsar
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  lal (>= @MIN_LAL_VERSION@~),
Description: LSC Algorithm Library Pulsar
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Pulsar library.

Package: lalpulsar-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  libcfitsio3-dev | libcfitsio-dev,
  libfftw3-dev,
  libgsl-dev | libgsl0-dev (>= 1.9),
  lal-dev (>= @MIN_LAL_VERSION@~),
  lalpulsar (= ${binary:Version})
Description: LSC Algorithm Library Pulsar Developers
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Pulsar library.

Package: lalpulsar-python
Depends: python-lalpulsar, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalpulsar-python was renamed python-lalpulsar,
 this is a transitional package, it can safely be removed.

Package: python-lalpulsar
Section: python
Replaces: lalpulsar-python (<< 1.16.0.1-1~)
Breaks: lalpulsar-python (<< 1.16.0.1-1~)
Architecture: any
Depends: ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
  python-astropy,
  python-lal (>= @MIN_LAL_VERSION@~),
  lalpulsar (= ${binary:Version})
Description: Python bindings for LALPulsar.
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package contains Python bindings for the LAL Pulsar library.

Package: lalpulsar-python3
Depends: python3-lalpulsar, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalpulsar-python3 was renamed python3-lalpulsar,
 this is a transitional package, it can safely be removed.

Package: python3-lalpulsar
Section: python
Replaces: lalpulsar-python3 (<< 1.16.0.1-1~)
Breaks: lalpulsar-python3 (<< 1.16.0.1-1~)
Architecture: any
Depends: ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
  python3-astropy,
  python3-lal (>= @MIN_LAL_VERSION@~),
  lalpulsar (= ${binary:Version})
Description: Python 3 bindings for LALPulsar.
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package contains Python 3 bindings for the LAL Pulsar library.

Package: lalpulsar-octave
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  octave,
  lal-octave (>= @MIN_LAL_VERSION@~),
  lalpulsar (= ${binary:Version})
Description: Octave bindings for LALPulsar.
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package contains Octave bindings for the LAL Pulsar library.
